RK-A2 - Task #3674

Task # 3653 (Closed): Launch with first chapter support - Phase 1 - Practice for Decent Learners (Top 5 Themes, No DetailedQNAs, No Detailed
Answers)

Support for grade and subject transition
07/19/2024 09:48 AM - Ram Kordale

Status: Closed Start date: 07/18/2024
Priority: Urgent Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 0.00 hour
Description

When we go to a curriculum page, we welcome users with a message which has chosen themes. Replace "Want to learn Math...We
have chosen <styles> for you. If you want to change...chat window." with "Lets learn from your favorite characters from <styless. If
you want to change...chat window." or "No characters have been chosen to teach you. If you want to change...chat window".

In <styles>, add "and" before the last theme if there are multiple themes.

if user changes to a supported grade or subject, please show this message again. Please also show 'Ready for a question? Please
type (y/n).'

History

#1 - 07/19/2024 09:49 AM - Ram Kordale
- Parent task set to #3653

#2 - 07/19/2024 09:52 AM - Shubham Boke

- Status changed from New to In Progress

#3 - 07/19/2024 09:54 AM - Ram Kordale
- Description updated

#4 - 07/19/2024 10:26 AM - Shubham Boke
- % Done changed from 0 to 90

#5 - 07/19/2024 10:52 AM - Ram Kordale
- Description updated

#6 - 07/19/2024 11:32 AM - Shubham Boke
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#7 - 07/19/2024 11:32 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#8 - 07/21/2024 12:51 PM - Ram Kordale
- Status changed from Review to Reopened

- Assignee changed from Dewakar Chaubey to Shubham Boke

If user transitions to unsupported grade-subject combo, dont ask 'Ready for a question? Please type (y/n)." Instead, show the "Support for ... is
coming soon".

#9 - 07/22/2024 06:24 AM - Shubham Boke

- Status changed from Reopened to In Progress
#10 - 07/22/2024 06:24 AM - Shubham Boke

- Status changed from In Progress to Resolved

#11 - 07/22/2024 06:25 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#12 - 07/30/2024 01:30 PM - Ram Kordale
- Estimated time set to 0.50 h

#13 - 08/29/2024 07:07 AM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ayanava Karmakar

#14 - 09/25/2024 08:38 AM - Ram Kordale

- Status changed from Review to Closed
